<installation version="1.0">
	<info>
		<appname>@PKG_NAME@</appname>
		<appversion>@VERSION@</appversion>
		<authors>
			<author name="@APP_NAME@" email="@APP_EMAIL@" />
		</authors>
		<url>@APP_WEB@</url>
		<javaversion>1.4</javaversion>
		<uninstaller/>
	</info>
	<variables>
		<variable name="app-version" value="@VERSION@"/>
		<variable name="released-on" value="@BUILDDATE@"/>
	</variables>

	<guiprefs height="600" resizable="yes" width="800"/>

	<locale>
		<langpack iso3="eng"/>
		<langpack iso3="fra"/> 
		<langpack iso3="deu"/> 
		<langpack iso3="ita"/> 
		<langpack iso3="spa"/>
		<langpack iso3="por"/>		
		<langpack iso3="rus"/> 
		<langpack iso3="cat"/>
		<langpack iso3="cze"/> 
		<langpack iso3="ind"/> 
		<langpack iso3="jpn"/> 
		<langpack iso3="mys"/> 
		<langpack iso3="nor"/> 
		<langpack iso3="hun"/> 
		<langpack iso3="swe"/> 
		<langpack iso3="dan"/>
		<langpack iso3="ukr"/>
		<langpack iso3="ned"/> 
		<langpack iso3="pol"/> 
		<langpack iso3="rom"/> 
		<langpack iso3="chn"/> 
		<langpack iso3="ell"/> 
		<langpack iso3="fin"/> 
		<langpack iso3="kor"/> 
		<langpack iso3="scg"/> 
		<langpack iso3="svk"/> 
		<langpack iso3="tur"/>
	</locale>
	<resources>
            <res id="InfoPanel.info" src="resources/install/doc/readme.txt" parse="yes"/>
            <res id="LicencePanel.licence" src="resources/install/doc/License.txt"/>
            <res src="@DEST_DIR@/windows/tmp-windows_shortcut_specification.xml" id="shortcutSpec.xml"/>
            <res id="Installer.image.0" src="resources/install/doc/welcome.png" />
	</resources>

	<native type="izpack" name="ShellLink.dll"/>

	<panels>
		<panel classname="HelloPanel"/>
		<panel classname="LicencePanel"/>
		<panel classname="TargetPanel"/>
		<panel classname="InstallPanel"/>
		<panel classname="ShortcutPanel"/>
		<panel classname="SimpleFinishPanel"/>
	</panels>

	<packs>
		<!-- The lib files -->
		<pack name="lib" required="yes">
                    <description>Include all libraries</description>
                    <fileset  targetdir="$INSTALL_PATH/lib" dir="lib" override="true">
                        <include name="*.jar"/>
                    </fileset>
                    <fileset  targetdir="$INSTALL_PATH/lib" dir="lib/os-specific/windows" override="true">
                        <include name="*.jar"/>
                        <exclude name="jmf.jar"/>
                        <exclude name="sound.jar"/>
                    </fileset>
                    <fileset targetdir="$INSTALL_PATH/lib/bundle" dir="lib/bundle" override="true">
                        <include name="*.jar"/>
                        <exclude name="junit.jar"/>
                    </fileset>
                    <file targetdir="$INSTALL_PATH/lib" src="lib/felix.client.run.properties" override="true"/>
                    <file targetdir="$INSTALL_PATH/lib" src="resources/install/logging.properties" override="true"/>
		</pack>

                <pack name="native" required="yes">
                    <description>SIP Communicator Native libs</description>
                    <fileset  targetdir="$INSTALL_PATH/native" dir="lib/native/windows" override="true">
                        <include name="*"/>
                    </fileset>
		</pack>
		<pack name="bundles" required="yes">
			<description>SIP Communicator bundles</description>
                        <fileset  targetdir="$INSTALL_PATH/sc-bundles" dir="sc-bundles" override="true">
                            <include name="*.jar"/>
                            <exclude name="*slick.jar"/>
                        </fileset>
		</pack>
                
                <pack name="bundles-os-specific" required="yes">
                    <description>SIP Communicator windows bundles</description>
                    <fileset  targetdir="$INSTALL_PATH/sc-bundles" dir="sc-bundles/os-specific/windows" override="true">
                        <include name="*.jar"/>
                        <exclude name="*slick.jar"/>
                    </fileset>
		</pack>


		<!-- The executable files -->
		<pack name="run" required="yes">
                    <description>Exceutable</description>
                    <file targetdir="$INSTALL_PATH" src="resources/install/windows/versionupdate.properties" override="true"/>
                    <file targetdir="$INSTALL_PATH" src="resources/install/windows/run.exe" override="true"/>
                    <file targetdir="$INSTALL_PATH" src="resources/install/windows/run.bat" override="true"/>
                    <file targetdir="$INSTALL_PATH" src="resources/install/windows/uninstall.exe" override="true"/>
                    <file targetdir="$INSTALL_PATH" src="resources/install/windows/uninstall.bat" override="true"/>
                    <file targetdir="$INSTALL_PATH" src="resources/install/windows/sc-logo.ico" override="true"/>
                    <executable targetfile="$INSTALL_PATH/run.bat" stage="never" override="true"/>
                    <executable targetfile="$INSTALL_PATH/run.exe" stage="never" override="true"/>
                    <executable targetfile="$INSTALL_PATH/uninstall.bat" stage="never" override="true"/>
                    <executable targetfile="$INSTALL_PATH/uninstall.exe" stage="never" override="true"/>
		</pack>
	</packs>

</installation>
